WAVPACK(1)

NAME
wavpack - encode audio files to wavpack

SYNOPSIS

wavpack [-options] INFILE... [-o OUTFILE]

DESCRIPTION

wavpack encodes the specified source file(s) into WavPack files using the options provided. The source files may be any of the file format types listed below, and the audio data may be either uncompressed PCM or DSD (depending on the format). Raw audio may also be specified (see --raw-pcm). The output filename will be source-name.wv unless overridden with the -o switch. Multiple input files may be specified resulting in multiple WavPack files, and in that case -o may be used to specify an alternate target directory. Stdin and stdout may be specified with “-”. In the case of transcoding from existing WavPack files, all tags are copied (and may be modified with additional args) and unless an alternate name or directory is specified, the source files are safely overwritten. To decode WavPack files back to their original format (or raw audio) use the wvunpack program.

  INPUT FILE FORMATS

    • Microsoft RIFF, extension “.wav”, includes BWF and RF64 variants

    • WavPack, extension “.wv”, transcode operation, tags copied

    • Apple AIFF, extension “.aif”

    • Apple Core Audio, extension “.caf”

    • Sony Wave64, extension “.w64”

    • Philips DSDIFF, extension “.dff”

    • Sony DSD Stream, extension “.dsf”

OPTIONS

-a
    Adobe Audition (CoolEdit) mode for 32-bit floats

--allow-huge-tags
    allow tag data up to 16 MB (embedding > 1 MB is not recommended for portable devices and may not work with some programs including WavPack pre-4.70)

-bn
    enable hybrid compression, n = 2.0 to 23.9 bits/sample, or n = 24-9600 kbits/second (kbps), not available with DSD audio

--blocksize=n
    specify block size in samples (max = 131072 and min = 16 with --merge-blocks, otherwise 128)

-c
    create correction file (.wvc) for hybrid mode (results in 2-file lossless compression)

-cc
    maximum hybrid compression (hurts lossy quality & decode speed)

--channel-order=list
    specify (comma separated) channel order if not Microsoft standard (which is FL,FR,FC,LFE,BL,BR,FLC,FRC,BC,SL,SR,TC,TFL,TFC,TFR,TBL,TBC,TBR); specify “...” to indicate that channels are not assigned to specific speakers, or terminate list with “...” to indicate that any channels beyond those specified are unassigned

--cross-decorr
    use cross-channel correlation in hybrid mode (on by default in lossless mode and with -cc option)

-d
    delete source file if successful (use with caution!)

-f
    fast mode (fast, but some compromise in compression ratio)

--force-even-byte-depth
    round the bit depth specified in the source file up to the next even byte (e.g., 20-bit is rounded up to 24-bit) to handle cases where the value specified is not correct (i.e., padding bits are non-zero)

-g
    general/normal mode, cancels previously specified -f and -h options

-h
    high quality (better compression ratio, but slightly slower encode and decode than normal mode)

-hh
    very high quality (best compression, but slowest and NOT recommended for use on vintage playback devices)

--help
    display extended help

-i
    ignore length in wav header and allow WAV files greater than 4 GB (note that this will attempt to fix the WAV header stored in the WavPack file, combine with -r to create a fresh header instead)

--import-id3
    import applicable tag items from ID3v2.3 tag present in DSF (and other) files into APEv2 tag (if there are > 1 MB cover images present add --allow-huge-tags to include them, and -r if you do not want large images appearing twice in the WavPack file, although this will remove the entire original ID3v2 tag)

-jn
    joint-stereo override (0 = left/right, 1 = mid/side)

-m
    compute & store MD5 signature of raw audio data

--merge-blocks
    merge consecutive blocks with equal redundancy (used with --blocksize option and is useful for files generated by the lossyWAV program or decoded HDCD files)

-n
    calculate average and peak quantization noise (hybrid only, reference fullscale sine)

--no-overwrite
    never overwrite, nor ask to overwrite, an existing file (this is handy for resuming a cancelled batch operation and obviously cannot be mixed with -y)

--no-utf8-convert
    don't recode passed tags from local encoding to UTF-8, assume they are in UTF-8 already

-o OUTFILE
    specify output filename (only if single source file) or target directory (must exist)

--pair-unassigned-chans
    encode unassigned channels into stereo pairs

--pre-quantize=bits
    pre-quantize samples to bits depth BEFORE encoding and MD5 calculation (common use would be --pre-quantize=20 for 24-bit or float material recorded with typical converters)

-q
    quiet (keep console output to a minimum)

-r
    parse headers to determine audio format and length but do not store the headers in the resulting WavPack file (a minimum header will be generated by wvunpack, but some non-audio metadata might be lost)

--raw-pcm
    input data is raw pcm (44,100 Hz, 16-bit, 2-channels)

--raw-pcm=sr,bits[f|s|u],chans,[le|be]
    input data is raw pcm with specified sample-rate, bit-depth (float,unsigned,signed), number of channels, and endianness (defaulted parameters may be omitted, specify bits=1 for DSD)

--raw-pcm-skip=begin[,end]
    skip begin bytes before encoding raw PCM (header) and skip end bytes at the EOF (trailer)

-sn
    override default hybrid mode noise shaping where n is a float value between -1.0 and 1.0; negative values move noise lower in freq, positive values move noise higher in freq, use 0 for no shaping (white noise)

-t
    copy input file's time stamp to output file(s)

--use-dns
    force use of dynamic noise shaping (hybrid mode only)

-v
    verify output file integrity after write (not for piped output)

--version
    write program version to stdout

-w Encoder
    write actual encoder metadata to APEv2 tag (e.g., “Encoder=WavPack 5.5.0”)

-w Settings
    write actual user settings metadata to APEv2 tag (e.g., “Settings=-hb384cx3”)

-w “Field=Value”
    write specified text metadata to APEv2 tag

-w “Field=@file.ext”
    write specified text metadata from file to APEv2 tag, normally used for embedded cuesheets and logs (field names “Cuesheet” and “Log”)

--write-binary-tag “Field=@file.ext”
    write the specified binary metadata file to APEv2 tag, normally used for cover art with the specified field name “Cover Art (Front)”

-x[n]
    extra encode processing (optional n = 0 to 6, 1=default), -x0 for no extra processing, -x1 to -x3 to choose best of predefined filters, -x4 to -x6 to generate custom filters (very slow!)

-y
    yes to all warnings (use with caution!)

-z[n]
    don't set (n = 0 or omitted) or set (n = 1) console title to indicate progress (leaves "WavPack Completed")

SEE ALSO

wvunpack(1), wvgain(1), wvtag(1)

Please visit www.wavpack.com for more information

COPYRIGHT

This manual page was written by Sebastian Dröge <slomo@debian.org> and David Bryant <david@wavpack.com>. Permission is granted to copy, distribute and/or modify this document under the terms of the BSD License.

AUTHORS

Sebastian Dröge <slomo@debian.org>
    Original author

David Bryant <david@wavpack.com>
    Updates

COPYRIGHT
Copyright © 2005 Sebastian Dröge
Copyright © 2022 David Bryant